Document Verification API v3 (Self-Hosted) (v3)

Download OpenAPI specification:

OpenAPI schema for the Document Verification API v3 (Self-Hosted)

Verify a document

Request Body schema: multipart/form-data
required
One of
imageFirstSide
required
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

imageSecondSide
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

imageBarcode
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

traceId
string <= 256 characters
sdkMetadata
string <= 1048576 characters

AES-encrypted SDK metadata JSON. Accepted for SDK payload compatibility and otherwise ignored.

object

Configuration object for the verification endpoint.

Responses

Response samples

Content type
application/json
{
  • "pipeline": {
    },
  • "messages": [
    ],
  • "verification": {
    },
  • "imageAssessment": {
    },
  • "extraction": {
    },
  • "images": {
    },
  • "configurationUsed": {
    },
  • "runtime": {
    }
}

Extract document data

Request Body schema: multipart/form-data
required
One of
imageFirstSide
required
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

imageSecondSide
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

imageBarcode
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

traceId
string <= 256 characters
object

Configuration object for the extraction endpoint.

Responses

Response samples

Content type
application/json
{
  • "imageAssessment": {
    },
  • "extraction": {
    },
  • "images": {
    },
  • "runtime": {
    },
  • "configurationUsed": {
    }
}

Scan and parse a barcode

Request Body schema: multipart/form-data
required
image
required
string <binary> <= 26214400 characters

JPEG or PNG image, at most 25 MiB. Runtime validation also enforces decoded dimensions and aspect ratio.

traceId
string <= 256 characters
object or string or string

Typed JSON configuration supplied as an object, text form value, or UTF-8 JSON file part. Nested settings are accepted only through this part.

Responses

Response samples

Content type
application/json
{
  • "extraction": {
    },
  • "images": {
    },
  • "configurationUsed": {
    },
  • "runtime": {
    }
}